# Uses of Enum
org.jsoup.nodes.Entities.EscapeMode

Packages that use Entities.EscapeMode
Package
Description
org.jsoup.nodes
HTML document structure nodes.

## Uses of Entities.EscapeMode in org.jsoup.nodes

Methods in org.jsoup.nodes that return Entities.EscapeMode
Modifier and Type
Method
Description
`Entities.EscapeMode`
Document.OutputSettings.`escapeMode()`
Get the document's current HTML escape mode: `base`, which provides a limited set of named HTML entities and escapes other characters as numbered entities for maximum compatibility; or `extended`, which uses the complete set of HTML named entities.
`static Entities.EscapeMode`
Entities.EscapeMode.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Entities.EscapeMode[]`
Entities.EscapeMode.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.jsoup.nodes with parameters of type Entities.EscapeMode
Modifier and Type
Method
Description
`Document.OutputSettings`
Document.OutputSettings.`escapeMode(Entities.EscapeMode escapeMode)`
Set the document's escape mode, which determines how characters are escaped when the output character set does not support a given character:- using either a named or a numbered escape.